# Uses of Class
org.opensaml.xmlsec.encryption.support.KeyAgreementEncryptionConfiguration

Packages that use KeyAgreementEncryptionConfiguration
Package
Description
org.opensaml.saml.security
Classes related to general security components within a SAML system.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of KeyAgreementEncryptionConfiguration in org.opensaml.saml.security

Subclasses of KeyAgreementEncryptionConfiguration in org.opensaml.saml.security
Modifier and Type
Class
Description
`class`
`SAMLMetadataKeyAgreementEncryptionConfiguration`
A specialization of `KeyAgreementEncryptionConfiguration` that can hold configuration specific to the user of SAML metadata.

## Uses of KeyAgreementEncryptionConfiguration in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return types with arguments of type KeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`Map<String,KeyAgreementEncryptionConfiguration>`
EncryptionConfiguration.`getKeyAgreementConfigurations()`
Get the map of `KeyAgreementEncryptionConfiguration` instances.

## Uses of KeyAgreementEncryptionConfiguration in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return types with arguments of type KeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`protected static Map<String,KeyAgreementEncryptionConfiguration>`
DefaultSecurityConfigurationBootstrap.`buildKeyAgreementConfigurations()`
Build key agreement configurations.

## Uses of KeyAgreementEncryptionConfiguration in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl with type parameters of type KeyAgreementEncryptionConfiguration
Modifier and Type
Field
Description
`private Map<String,KeyAgreementEncryptionConfiguration>`
BasicEncryptionConfiguration.`keyAgreementConfigurations`
Key agreement configurations.
Methods in org.opensaml.xmlsec.impl that return KeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`protected KeyAgreementEncryptionConfiguration`
BasicEncryptionParametersResolver.`getEffectiveKeyAgreementConfiguration(CriteriaSet criteria, Credential credential)`
Get the effective `KeyAgreementEncryptionConfiguration` to use with the specified credential.
Methods in org.opensaml.xmlsec.impl that return types with arguments of type KeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`Map<String,KeyAgreementEncryptionConfiguration>`
BasicEncryptionConfiguration.`getKeyAgreementConfigurations()`
Get the map of `KeyAgreementEncryptionConfiguration` instances.
Method parameters in org.opensaml.xmlsec.impl with type arguments of type KeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setKeyAgreementConfigurations(Map<String,KeyAgreementEncryptionConfiguration> configs)`
Set the map of `KeyAgreementEncryptionConfiguration` instances.